Method: applications.tracks.releases.list

Returns the list of all releases for a given track. This excludes any releases that are obsolete.

HTTP request

GET https://androidpublisher.googleapis.com/androidpublisher/v3/{parent=applications/*/tracks/*}/releases

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent track, which owns this collection of releases. Format: applications/{packageName}/tracks/{track}

Request body

The request body must be empty.

Response body

Response listing all releases for a given track that are either ready to be sent for review, in review, approved, not approved or available.

If successful, the response body contains data with the following structure:

JSON representation
{
  "releases": [
    {
      object (ReleaseSummary)
    }
  ]
}
Fields
releases[]

object (ReleaseSummary)

List of releases for this track. A maximum of 20 releases can be returned.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/androidpublisher